This is edition 0.34 of the manual for GNU GNUtrition, Version 0.34,
last updated on 20 July 2026.

   Copyright (C) 2026 Free Software Foundation, Inc.  Copyright (C)
2025, 2026 Anton McClure.  Copyright (C) 2001 Ian Haywood

     Permission is granted to copy, distribute and/or modify this
     document under the terms of the GNU Free Documentation License,
     Version 1.3 or any later version published by the Free Software
     Foundation; with no Invariant Sections, no Front-Cover Texts, and
     no Back-Cover Texts.  A copy of the license is included in the
     section entitled "GNU Free Documentation License".

GNU GNUtrition
**************

1 Introduction
**************

GNU GNUtrition is free nutrition analysis software for the GNU Operating
System.  The USDA Food and Nutrient Database for Dietary Studies (FNDDS)
is used as its source for food nutrient information.  GNUtrition is
maintained by Anton McClure (http://www.ocelot.cascaded.net/~anton/)
<anton@ocelot.cascaded.net> <anton@ocelot.cascaded.net>.

   Please keep in mind that this documentation is currently incomplete,
and some information may be missing or had since changed.  These issues
will be fixed in due time.

1.1 Downloading GNUtrition
==========================

GNUtrition is freely available at
<http://www.ocelot.cascaded.net/~anton/gnutrition.html>.  It is released
under the GNU General Public Licence version 3 or later.  See the file
'COPYING' for details.

1.1.1 Requirements
------------------

GNUtrition requires the following packages:

   * Build-time

        * GNU Make

        * C compiler with C99 support (e.g., GCC)

        * ncurses development headers and library

        * sqlite3 development headers and library

        * libm (typically part of the C standard library on GNU/Linux)

   * Run-time

        * ncurses library

        * sqlite3 library

        * A USDA food database (included in tarball as: 'food.db')

1.2 Running GNUtrition for the First Time
=========================================

Simply run the command:

$gnutrition

1.2.1 Entering your Information
-------------------------------

The profile options give you the option to enter your birthdate, your
current height, your current weight, and your activity level.  This is
subject to change prior to GNUtrition 1.0.  For example: the birthdate
setting used to just be for your age in years as a number.  While that
was a simple system that worked with development testing, Anton changed
it so that a user wouldn't need to remember to update the recorded age
every year on his/her birthday.

2 The Main Window
*****************

The main window shows you a daily budget based on USDA recommendations,
along with the following options:

   * s 'Search'

   * l 'Log'

   * p 'Profile'

   * q 'Quit'

   The search tool lets you search by food names and descriptions.

   The log lets you view foods you add, and lets you edit those entries.

3 The Noninteractive Interface
******************************

Along with the TUI mode, you can use GNUtrition in a noninteractive way
as well.

   Below are the options for use in this mode:

Option                      Description
--------------------------------------------------------------------------
'--search=QUERY', '-s       Search for foods matching QUERY.
QUERY'
'--info=CODE', '-i CODE'    Show nutrient information for the specified
                            food code.
'--log=CODE', '-l CODE'     Log the specified food code for the
                            selected date.
'--quantity=NUM', '-n       Number of servings to log (default: 1.0).
NUM'                        Used with '-l'.
'--budget', '-b'            Show today's food-group budget summary.
'--calories=KCAL', '-c      Set the daily calorie target (default:
KCAL'                       2000).
'--bday=YEARS', '-B         Provide birth date in YYYY-MM-DD for
YEARS'                      calorie estimation.
'--height=NUM', '-H NUM'    Provide height for calorie estimation.
'--weight=NUM', '-w NUM'    Provide weight for calorie estimation.
'--gender=f/m', '-g f/m'    Provide gender for calorie estimation.
'--measurement=u/m', '-M    Provide measurement system for calorie
u/m'                        estimation.
'--activity=LEVEL', '-A     Set activity level: sedentary, light,
LEVEL'                      moderate, very-active, or extra-active.
'--date=DATE', '-d DATE'    Set the log/budget date (default: today).
'--help', '-h'              Display help and exit.
'--version', '-V'           Output version information and exit.

4 The Nutrients in GNUtrition
*****************************

This chapter contains some notes on the nutrients analysed by
GNUtrition.  They are not a definitive guide, for detailed information
refer to a standard text of nutrition or dietetics.

4.1 Caveat
==========

When Ian was researching the information for the Recommended Daily
Intakes (RDIs), he found the information conflicting but incomplete, so
for some nutrients there may be a European value, a US value, and a UN
value.  In general, he chose the US value, in the hope this will be
compatible with the database.

   If you know of a good reference for RDIs, we would be eager to hear
from you, mail us at gnutrition@ocelot.cascaded.net
(mailto:gnutrition@ocelot.cascaded.net)

   It also should be noted that RDIs are a _guide_ to nutrition, not the
definition of it.  Individuals may vary from the RDIs provided for many
reasons.  For example, active people need more energy and protein than
inactive people, and illness increases the RDIs for almost everything.

   In summary, just because the program spits out a nice column of
"100%", that doesn't automatically mean you have a healthy diet.  The
old rules about balance and lots of green vegetables still apply, we're
afraid.

4.2 Macro nutrients
===================

Macro nutrients constitute the bulk of the food we eat, they provide
energy and chemical building-blocks for tissues.

Protein

     Proteins consists of long chains of amino acids, to
     which it is broken down to in the digestive system.  Much of these
     amino acids are reconstituted by the body to form human proteins.
     Human proteins are universal in the body: as enzymes they regulate
     chemical reactions within cells and the blood, they form tendons
     and ligaments which hold the body together, and they provide muscle
     with its ability to contract.  Excess protein can be converted to
     sugar by the liver.

Carbohydrate

     consists of sugar, and chains of sugar molecules called starches.
     Starches are broken down in a similar manner to protein.  In plants
     and bacteria, carbohydrates provide structure, but in animals they
     are used for energy.

Fat

     consists of fatty acids (see lipids), which are chains
     of carbon atoms with an acid group at the end.  These fatty acids
     are linked in groups of three by glycerol.  Once again, this
     structure is broken down in the gut, only to be re-formed in fat
     cells.  Some fatty acids have special functions, but mostly fat is
     a store of energy.

Alcohol

     Rightfully a drug, but its energy component, between fat and
     protein, can be significant in some people.  There is no
     recommended intake for alcohol, but there are recommended maximum
     intakes, these being 40g a day for men and 20g a day for women.
     (1)

Energy

     A total calculated from the above, which is expressed in both
     kilocalories (the traditional unit in chemistry), and kilojoules
     (the physicist's unit).

     There is a base requirement for energy, which can be estimated by
     age and weight.  However, muscle mass requires more energy to
     maintain than fat mass, so persons of the same weight can have
     widely different base energy requirements.  In addition, active
     people will obviously need more energy.

Fibre

     is indigestible by human enzymes, and is largely excreted, or
     digested by bacteria in the large intestine.  Nevertheless, it is
     very important, and often deficient in first-world diets.  It
     dilutes toxins that build up the gut and retains water.  It softens
     faeces and increases its volume, making bowel motions more
     efficient.  Deficiency causes constipation, and has been linked to
     bowel cancer.

Water

     Arguably the most important nutrient, in terms of amount
     (two-thirds of the body), and essentiality (people die of thirst
     long before they starve).

   ---------- Footnotes ----------

   (1) according to the Drug and Alcohol Centre, St.  Vincent's
Hospital, Melbourne, Australia.

4.3 Vitamins
============

Vitamins are cofactors - special molecules which support various
biochemical reactions within the body - required only in very small
amounts, and can be stored for extended periods.  They are divided into
two groups:

4.3.1 Fat-soluble vitamins
--------------------------

Vitamin A

     is used for light-detecting chemicals in the retina of the eye, and
     maintaining proper skin moisture and softness.  In deficiency, poor
     night vision, hard and rough skin, and anaemia can occur.  Vitamin
     A is also an anti-oxidant and protects against cancer.

Vitamin D

     regulates calcium.  Deficiency leads to rickets (soft, malformed
     bones) in children.  With adequate sunlight, the body can make its
     own vitamin D, so little or none is required by the diet.  It is
     not included in the USDA database, and so not analysed by
     GNUtrition.

Vitamin E

     is a strong anti-oxidant: it destroys cancer-causing chemicals
     called _free radicals_.  No deficiency syndrome has been described.

Vitamin K

     is used by the liver to make special proteins, which circulate in
     the blood.  When a person is injured, these proteins help to form a
     clot.  Intestinal bacteria can make vitamin K, however, it is also
     required in the diet, but in low amounts.  It is not included in
     the database.

4.3.2 Water-soluble vitamins
----------------------------

Vitamin C

     is used in making collagen, a tough protein that provides a "glue"
     holding cells together.  Vitamin C deficiency, known as _scurvy_,
     leads to easy bruising and bleeding, as lack of collagen weakens
     blood vessels.  It also aids the absorption of iron, and may be an
     anti-oxidant.

     It is not a cure for the common cold.

Vitamin B-1 (Thiamine)

     is used in the biochemical processes by which cells obtain energy
     from sugar.  Deficiency causes mental disturbance, clumsiness, and
     double-vision, which can occur in alcoholics, and in third-world
     countries.

Riboflavin; Niacin; Pantothenic acid

     are also important in energy utilisation by cells, by forming parts
     of different enzymes.  Niacin deficiency causes _pellagra_,
     characterised by dermatitis, diarrhoea, and dementia.

Vitamin B-6 (pyridoxine)

     is used for processing of amino acids, deficiency causes a type of
     anaemia.

Folate

     is used for the synthesis of DNA. Deficiency leads to anaemia.  In
     pregnant women, higher intakes protects against neural tube defects
     in their children.

Vitamin B-12

     is also used for DNA synthesis, also leads to anaemia when
     deficient.  Only available in animal sources, so strict vegans
     require supplementation.

4.4 Metals
==========

Iron

     is used mainly in haemoglobin, a chemical that binds oxygen in the
     blood, giving it its red colour.  Deficiency, more common in women,
     leads to mild anaemia.

Calcium

     is used mainly in bones, to provide mechanical strength.  Low
     calcium intake has been linked to osteoporosis (weakening of the
     bones) in old people.

Selenium

     is essential to an anti-oxidant enzyme, which works in a similar
     manner to Vitamin E.

Potassium; Sodium

     are used to provide electrical potentials across nerve and muscle
     cell membranes, also to provide the necessary osmotic force in body
     fluids.  Excess sodium was once linked to high blood pressure, but
     this is not emphasised today.

Magnesium

     is used in controlling nerve impulses, deficiency causes weakness
     and tremors.

Copper; Manganese; Zinc

     combine with specific proteins to form various different enzymes.

4.5 Amino acids
===============

Amino acids are the breakdown products of proteins.  They are divided
into two groups, essential and non-essential:

Essential       Non-essential
--------------------------------
Histidine       Glycine
Isoleucine      Glutamate
Leucine         Aspartate
Lysine          Proline
Methionine      Serine
Phenylalanine   Alanine
Threonine       Tryptophan
Tryptophan      Arginine
Valine

Table: The Amino Acids
   Deficiency of any of the nine leads to wasting as proteins cannot be
made without them.  This usually only occurs with a very monotonous
vegan diet, where the chief food is a plant that does not have one or
more essential amino acids.  A varied vegetarian diet solves the
problem.

   The other amino acids can be synthesised by the liver.  The liver can
also interchange two pairs: cysteine and methionine, and tyrosine and
phenylalanine.  This means a shortage of one can be made up from the
other, so long as the total requirement is met.

   Amino acid supplements are of no proven benefit over proteins
containing the amino acids (but are much more expensive).

4.6 Lipids
==========

Lipids include fatty acids (breakdown products of fat) and cholesterol.

Fatty acids

     can be divided into three main groups: saturated (1),
     mono-unsaturated and polyunsaturated.  With these three the key is
     the _ratio_ - lots of saturated fatty acids, relative to the others
     leads to atherosclerosis (hardening of the arteries).

     Their specific chemical structures are available in organic
     chemistry or biochemistry textbooks, in general they consists of a
     varying chain of carbon-atoms, with a carboxylic acid group at one
     end.

     Fatty acids are used to make certain types of hormones, as well as
     to store energy.  Two fatty acids, linoleic and alpha-linoleic
     acid, are essential for humans.

Omega-3, and -6

     Some fatty acids are referred to as "omega-3" and "omega-6".  This
     refers to the location of a double bond from the final (omega)
     carbon atom in the fatty acid.

     It is believed that omega-3 fatty acids, found in fish oil, may
     have beneficial health effects, but there is little hard evidence
     for this.

Cholesterol

     can be made by the liver, so there is little dietary need.  When we
     eat cholesterol, the liver compensates by making less.  Contrary to
     popular belief, dietary cholesterol seems to have little effect on
     blood-cholesterol levels, instead saturated fatty acids seem to be
     more important.

Phytosterols

     Not sure about these.  May be one and the same as phyto-oestrogens,
     plant mimics of the female sex hormone.  Intake is believed to
     control symptoms of menopause.

   ---------- Footnotes ----------

   (1) 'saturation' in this sense refers to hydrogen.  Ask an organic
chemist.

5 GNU Free Documentation License
********************************

                     Version 1.3, 3 November 2008

     Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc.
     <https://fsf.org/>

     Everyone is permitted to copy and distribute verbatim copies
     of this license document, but changing it is not allowed.

  0. PREAMBLE

     The purpose of this License is to make a manual, textbook, or other
     functional and useful document "free" in the sense of freedom: to
     assure everyone the effective freedom to copy and redistribute it,
     with or without modifying it, either commercially or
     noncommercially.  Secondarily, this License preserves for the
     author and publisher a way to get credit for their work, while not
     being considered responsible for modifications made by others.

     This License is a kind of "copyleft", which means that derivative
     works of the document must themselves be free in the same sense.
     It complements the GNU General Public License, which is a copyleft
     license designed for free software.

     We have designed this License in order to use it for manuals for
     free software, because free software needs free documentation: a
     free program should come with manuals providing the same freedoms
     that the software does.  But this License is not limited to
     software manuals; it can be used for any textual work, regardless
     of subject matter or whether it is published as a printed book.  We
     recommend this License principally for works whose purpose is
     instruction or reference.

  1. APPLICABILITY AND DEFINITIONS

     This License applies to any manual or other work, in any medium,
     that contains a notice placed by the copyright holder saying it can
     be distributed under the terms of this License.  Such a notice
     grants a world-wide, royalty-free license, unlimited in duration,
     to use that work under the conditions stated herein.  The
     "Document", below, refers to any such manual or work.  Any member
     of the public is a licensee, and is addressed as "you".  You accept
     the license if you copy, modify or distribute the work in a way
     requiring permission under copyright law.

     A "Modified Version" of the Document means any work containing the
     Document or a portion of it, either copied verbatim, or with
     modifications and/or translated into another language.

     A "Secondary Section" is a named appendix or a front-matter section
     of the Document that deals exclusively with the relationship of the
     publishers or authors of the Document to the Document's overall
     subject (or to related matters) and contains nothing that could
     fall directly within that overall subject.  (Thus, if the Document
     is in part a textbook of mathematics, a Secondary Section may not
     explain any mathematics.)  The relationship could be a matter of
     historical connection with the subject or with related matters, or
     of legal, commercial, philosophical, ethical or political position
     regarding them.

     The "Invariant Sections" are certain Secondary Sections whose
     titles are designated, as being those of Invariant Sections, in the
     notice that says that the Document is released under this License.
     If a section does not fit the above definition of Secondary then it
     is not allowed to be designated as Invariant.  The Document may
     contain zero Invariant Sections.  If the Document does not identify
     any Invariant Sections then there are none.

     The "Cover Texts" are certain short passages of text that are
     listed, as Front-Cover Texts or Back-Cover Texts, in the notice
     that says that the Document is released under this License.  A
     Front-Cover Text may be at most 5 words, and a Back-Cover Text may
     be at most 25 words.

     A "Transparent" copy of the Document means a machine-readable copy,
     represented in a format whose specification is available to the
     general public, that is suitable for revising the document
     straightforwardly with generic text editors or (for images composed
     of pixels) generic paint programs or (for drawings) some widely
     available drawing editor, and that is suitable for input to text
     formatters or for automatic translation to a variety of formats
     suitable for input to text formatters.  A copy made in an otherwise
     Transparent file format whose markup, or absence of markup, has
     been arranged to thwart or discourage subsequent modification by
     readers is not Transparent.  An image format is not Transparent if
     used for any substantial amount of text.  A copy that is not
     "Transparent" is called "Opaque".

     Examples of suitable formats for Transparent copies include plain
     ASCII without markup, Texinfo input format, LaTeX input format,
     SGML or XML using a publicly available DTD, and standard-conforming
     simple HTML, PostScript or PDF designed for human modification.
     Examples of transparent image formats include PNG, XCF and JPG.
     Opaque formats include proprietary formats that can be read and
     edited only by proprietary word processors, SGML or XML for which
     the DTD and/or processing tools are not generally available, and
     the machine-generated HTML, PostScript or PDF produced by some word
     processors for output purposes only.

     The "Title Page" means, for a printed book, the title page itself,
     plus such following pages as are needed to hold, legibly, the
     material this License requires to appear in the title page.  For
     works in formats which do not have any title page as such, "Title
     Page" means the text near the most prominent appearance of the
     work's title, preceding the beginning of the body of the text.

     The "publisher" means any person or entity that distributes copies
     of the Document to the public.

     A section "Entitled XYZ" means a named subunit of the Document
     whose title either is precisely XYZ or contains XYZ in parentheses
     following text that translates XYZ in another language.  (Here XYZ
     stands for a specific section name mentioned below, such as
     "Acknowledgements", "Dedications", "Endorsements", or "History".)
     To "Preserve the Title" of such a section when you modify the
     Document means that it remains a section "Entitled XYZ" according
     to this definition.

     The Document may include Warranty Disclaimers next to the notice
     which states that this License applies to the Document.  These
     Warranty Disclaimers are considered to be included by reference in
     this License, but only as regards disclaiming warranties: any other
     implication that these Warranty Disclaimers may have is void and
     has no effect on the meaning of this License.

  2. VERBATIM COPYING

     You may copy and distribute the Document in any medium, either
     commercially or noncommercially, provided that this License, the
     copyright notices, and the license notice saying this License
     applies to the Document are reproduced in all copies, and that you
     add no other conditions whatsoever to those of this License.  You
     may not use technical measures to obstruct or control the reading
     or further copying of the copies you make or distribute.  However,
     you may accept compensation in exchange for copies.  If you
     distribute a large enough number of copies you must also follow the
     conditions in section 3.

     You may also lend copies, under the same conditions stated above,
     and you may publicly display copies.

  3. COPYING IN QUANTITY

     If you publish printed copies (or copies in media that commonly
     have printed covers) of the Document, numbering more than 100, and
     the Document's license notice requires Cover Texts, you must
     enclose the copies in covers that carry, clearly and legibly, all
     these Cover Texts: Front-Cover Texts on the front cover, and
     Back-Cover Texts on the back cover.  Both covers must also clearly
     and legibly identify you as the publisher of these copies.  The
     front cover must present the full title with all words of the title
     equally prominent and visible.  You may add other material on the
     covers in addition.  Copying with changes limited to the covers, as
     long as they preserve the title of the Document and satisfy these
     conditions, can be treated as verbatim copying in other respects.

     If the required texts for either cover are too voluminous to fit
     legibly, you should put the first ones listed (as many as fit
     reasonably) on the actual cover, and continue the rest onto
     adjacent pages.

     If you publish or distribute Opaque copies of the Document
     numbering more than 100, you must either include a machine-readable
     Transparent copy along with each Opaque copy, or state in or with
     each Opaque copy a computer-network location from which the general
     network-using public has access to download using public-standard
     network protocols a complete Transparent copy of the Document, free
     of added material.  If you use the latter option, you must take
     reasonably prudent steps, when you begin distribution of Opaque
     copies in quantity, to ensure that this Transparent copy will
     remain thus accessible at the stated location until at least one
     year after the last time you distribute an Opaque copy (directly or
     through your agents or retailers) of that edition to the public.

     It is requested, but not required, that you contact the authors of
     the Document well before redistributing any large number of copies,
     to give them a chance to provide you with an updated version of the
     Document.

  4. MODIFICATIONS

     You may copy and distribute a Modified Version of the Document
     under the conditions of sections 2 and 3 above, provided that you
     release the Modified Version under precisely this License, with the
     Modified Version filling the role of the Document, thus licensing
     distribution and modification of the Modified Version to whoever
     possesses a copy of it.  In addition, you must do these things in
     the Modified Version:

       A. Use in the Title Page (and on the covers, if any) a title
          distinct from that of the Document, and from those of previous
          versions (which should, if there were any, be listed in the
          History section of the Document).  You may use the same title
          as a previous version if the original publisher of that
          version gives permission.

       B. List on the Title Page, as authors, one or more persons or
          entities responsible for authorship of the modifications in
          the Modified Version, together with at least five of the
          principal authors of the Document (all of its principal
          authors, if it has fewer than five), unless they release you
          from this requirement.

       C. State on the Title page the name of the publisher of the
          Modified Version, as the publisher.

       D. Preserve all the copyright notices of the Document.

       E. Add an appropriate copyright notice for your modifications
          adjacent to the other copyright notices.

       F. Include, immediately after the copyright notices, a license
          notice giving the public permission to use the Modified
          Version under the terms of this License, in the form shown in
          the Addendum below.

       G. Preserve in that license notice the full lists of Invariant
          Sections and required Cover Texts given in the Document's
          license notice.

       H. Include an unaltered copy of this License.

       I. Preserve the section Entitled "History", Preserve its Title,
          and add to it an item stating at least the title, year, new
          authors, and publisher of the Modified Version as given on the
          Title Page.  If there is no section Entitled "History" in the
          Document, create one stating the title, year, authors, and
          publisher of the Document as given on its Title Page, then add
          an item describing the Modified Version as stated in the
          previous sentence.

       J. Preserve the network location, if any, given in the Document
          for public access to a Transparent copy of the Document, and
          likewise the network locations given in the Document for
          previous versions it was based on.  These may be placed in the
          "History" section.  You may omit a network location for a work
          that was published at least four years before the Document
          itself, or if the original publisher of the version it refers
          to gives permission.

       K. For any section Entitled "Acknowledgements" or "Dedications",
          Preserve the Title of the section, and preserve in the section
          all the substance and tone of each of the contributor
          acknowledgements and/or dedications given therein.

       L. Preserve all the Invariant Sections of the Document, unaltered
          in their text and in their titles.  Section numbers or the
          equivalent are not considered part of the section titles.

       M. Delete any section Entitled "Endorsements".  Such a section
          may not be included in the Modified Version.

       N. Do not retitle any existing section to be Entitled
          "Endorsements" or to conflict in title with any Invariant
          Section.

       O. Preserve any Warranty Disclaimers.

     If the Modified Version includes new front-matter sections or
     appendices that qualify as Secondary Sections and contain no
     material copied from the Document, you may at your option designate
     some or all of these sections as invariant.  To do this, add their
     titles to the list of Invariant Sections in the Modified Version's
     license notice.  These titles must be distinct from any other
     section titles.

     You may add a section Entitled "Endorsements", provided it contains
     nothing but endorsements of your Modified Version by various
     parties--for example, statements of peer review or that the text
     has been approved by an organization as the authoritative
     definition of a standard.

     You may add a passage of up to five words as a Front-Cover Text,
     and a passage of up to 25 words as a Back-Cover Text, to the end of
     the list of Cover Texts in the Modified Version.  Only one passage
     of Front-Cover Text and one of Back-Cover Text may be added by (or
     through arrangements made by) any one entity.  If the Document
     already includes a cover text for the same cover, previously added
     by you or by arrangement made by the same entity you are acting on
     behalf of, you may not add another; but you may replace the old
     one, on explicit permission from the previous publisher that added
     the old one.

     The author(s) and publisher(s) of the Document do not by this
     License give permission to use their names for publicity for or to
     assert or imply endorsement of any Modified Version.

  5. COMBINING DOCUMENTS

     You may combine the Document with other documents released under
     this License, under the terms defined in section 4 above for
     modified versions, provided that you include in the combination all
     of the Invariant Sections of all of the original documents,
     unmodified, and list them all as Invariant Sections of your
     combined work in its license notice, and that you preserve all
     their Warranty Disclaimers.

     The combined work need only contain one copy of this License, and
     multiple identical Invariant Sections may be replaced with a single
     copy.  If there are multiple Invariant Sections with the same name
     but different contents, make the title of each such section unique
     by adding at the end of it, in parentheses, the name of the
     original author or publisher of that section if known, or else a
     unique number.  Make the same adjustment to the section titles in
     the list of Invariant Sections in the license notice of the
     combined work.

     In the combination, you must combine any sections Entitled
     "History" in the various original documents, forming one section
     Entitled "History"; likewise combine any sections Entitled
     "Acknowledgements", and any sections Entitled "Dedications".  You
     must delete all sections Entitled "Endorsements."

  6. COLLECTIONS OF DOCUMENTS

     You may make a collection consisting of the Document and other
     documents released under this License, and replace the individual
     copies of this License in the various documents with a single copy
     that is included in the collection, provided that you follow the
     rules of this License for verbatim copying of each of the documents
     in all other respects.

     You may extract a single document from such a collection, and
     distribute it individually under this License, provided you insert
     a copy of this License into the extracted document, and follow this
     License in all other respects regarding verbatim copying of that
     document.

  7. AGGREGATION WITH INDEPENDENT WORKS

     A compilation of the Document or its derivatives with other
     separate and independent documents or works, in or on a volume of a
     storage or distribution medium, is called an "aggregate" if the
     copyright resulting from the compilation is not used to limit the
     legal rights of the compilation's users beyond what the individual
     works permit.  When the Document is included in an aggregate, this
     License does not apply to the other works in the aggregate which
     are not themselves derivative works of the Document.

     If the Cover Text requirement of section 3 is applicable to these
     copies of the Document, then if the Document is less than one half
     of the entire aggregate, the Document's Cover Texts may be placed
     on covers that bracket the Document within the aggregate, or the
     electronic equivalent of covers if the Document is in electronic
     form.  Otherwise they must appear on printed covers that bracket
     the whole aggregate.

  8. TRANSLATION

     Translation is considered a kind of modification, so you may
     distribute translations of the Document under the terms of section
     4.  Replacing Invariant Sections with translations requires special
     permission from their copyright holders, but you may include
     translations of some or all Invariant Sections in addition to the
     original versions of these Invariant Sections.  You may include a
     translation of this License, and all the license notices in the
     Document, and any Warranty Disclaimers, provided that you also
     include the original English version of this License and the
     original versions of those notices and disclaimers.  In case of a
     disagreement between the translation and the original version of
     this License or a notice or disclaimer, the original version will
     prevail.

     If a section in the Document is Entitled "Acknowledgements",
     "Dedications", or "History", the requirement (section 4) to
     Preserve its Title (section 1) will typically require changing the
     actual title.

  9. TERMINATION

     You may not copy, modify, sublicense, or distribute the Document
     except as expressly provided under this License.  Any attempt
     otherwise to copy, modify, sublicense, or distribute it is void,
     and will automatically terminate your rights under this License.

     However, if you cease all violation of this License, then your
     license from a particular copyright holder is reinstated (a)
     provisionally, unless and until the copyright holder explicitly and
     finally terminates your license, and (b) permanently, if the
     copyright holder fails to notify you of the violation by some
     reasonable means prior to 60 days after the cessation.

     Moreover, your license from a particular copyright holder is
     reinstated permanently if the copyright holder notifies you of the
     violation by some reasonable means, this is the first time you have
     received notice of violation of this License (for any work) from
     that copyright holder, and you cure the violation prior to 30 days
     after your receipt of the notice.

     Termination of your rights under this section does not terminate
     the licenses of parties who have received copies or rights from you
     under this License.  If your rights have been terminated and not
     permanently reinstated, receipt of a copy of some or all of the
     same material does not give you any rights to use it.

  10. FUTURE REVISIONS OF THIS LICENSE

     The Free Software Foundation may publish new, revised versions of
     the GNU Free Documentation License from time to time.  Such new
     versions will be similar in spirit to the present version, but may
     differ in detail to address new problems or concerns.  See
     <https://www.gnu.org/licenses/>.

     Each version of the License is given a distinguishing version
     number.  If the Document specifies that a particular numbered
     version of this License "or any later version" applies to it, you
     have the option of following the terms and conditions either of
     that specified version or of any later version that has been
     published (not as a draft) by the Free Software Foundation.  If the
     Document does not specify a version number of this License, you may
     choose any version ever published (not as a draft) by the Free
     Software Foundation.  If the Document specifies that a proxy can
     decide which future versions of this License can be used, that
     proxy's public statement of acceptance of a version permanently
     authorizes you to choose that version for the Document.

  11. RELICENSING

     "Massive Multiauthor Collaboration Site" (or "MMC Site") means any
     World Wide Web server that publishes copyrightable works and also
     provides prominent facilities for anybody to edit those works.  A
     public wiki that anybody can edit is an example of such a server.
     A "Massive Multiauthor Collaboration" (or "MMC") contained in the
     site means any set of copyrightable works thus published on the MMC
     site.

     "CC-BY-SA" means the Creative Commons Attribution-Share Alike 3.0
     license published by Creative Commons Corporation, a not-for-profit
     corporation with a principal place of business in San Francisco,
     California, as well as future copyleft versions of that license
     published by that same organization.

     "Incorporate" means to publish or republish a Document, in whole or
     in part, as part of another Document.

     An MMC is "eligible for relicensing" if it is licensed under this
     License, and if all works that were first published under this
     License somewhere other than this MMC, and subsequently
     incorporated in whole or in part into the MMC, (1) had no cover
     texts or invariant sections, and (2) were thus incorporated prior
     to November 1, 2008.

     The operator of an MMC Site may republish an MMC contained in the
     site under CC-BY-SA on the same site at any time before August 1,
     2009, provided the MMC is eligible for relicensing.

ADDENDUM: How to use this License for your documents
====================================================

To use this License in a document you have written, include a copy of
the License in the document and put the following copyright and license
notices just after the title page:

       Copyright (C)  YEAR  YOUR NAME.
       Permission is granted to copy, distribute and/or modify this document
       under the terms of the GNU Free Documentation License, Version 1.3
       or any later version published by the Free Software Foundation;
       with no Invariant Sections, no Front-Cover Texts, and no Back-Cover
       Texts.  A copy of the license is included in the section entitled ``GNU
       Free Documentation License''.

   If you have Invariant Sections, Front-Cover Texts and Back-Cover
Texts, replace the "with...Texts." line with this:

         with the Invariant Sections being LIST THEIR TITLES, with
         the Front-Cover Texts being LIST, and with the Back-Cover Texts
         being LIST.

   If you have Invariant Sections without Cover Texts, or some other
combination of the three, merge those two alternatives to suit the
situation.

   If your document contains nontrivial examples of program code, we
recommend releasing these examples in parallel under your choice of free
software license, such as the GNU General Public License, to permit
their use in free software.

6 Bibliography
**************

Robert Bateman, Hamlyn, _Every Boy's Handbook_, 1960.

   David Bender and Arnold Bender, Oxford, _Nutrition: A reference
handbook_, 1997.

   Stephen G. Chancy, Wiley-Liss, _Principles of Nutrition I & II_,
1997.

   _Textbook of Biochemistry_, Edited by Thomas Devlin.

   Lubert Stryer, W. H. Freeman, _Biochemistry, 4th ed._, 1995.

   U.S. Department of Agriculture, Agricultural Research Service,
_Nutrient Database of Standard Reference, Release 21_
(http://www.ars.usda.gov/ba/bhnrc/ndl), 2008.